#ifndef BIOE215STRINGMODULE
#define BIOE215STRINGMODULE

//-----------------------------------------------------------------------------
// This is a Starter String and Print Module to be used for BIOE215
// In future revisions, the Write Functions will be Combined through an additional
// input type parameter.
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// Declarations for BioE215 String and File Functions
//-----------------------------------------------------------------------------
bool GetStringFromKeyboard( char inputString[], unsigned long sizeOfString );
bool GetStringFromFile( char inputString[], unsigned long sizeOfString, FILE *fprt );
bool WriteStringToScreen( const char outputString[] );
bool WriteStringToFile( const char outputString[], FILE *fptr );

const char* ConvertStringToDouble( const char *s, double &returnValue, double defaultValue );
const char* ConvertStringToLong( const char *s, long int &returnValue, long int defaultValue );
bool WriteDoubleToFileWithEExponentInSpecifiedPrecision( double x, int precision, FILE *fptr);
bool WriteDoubleToFileInSpecifiedPrecision( double x, int precision, FILE *fptr);
#endif